Update Agent

Update an agent’s configuration.

Use this to change voice mode, system prompt, greeting, or voice. Switching voiceMode to “hosted” re-provisions the Retell agent with built-in LLM.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

agent_idstringRequired

Request

This endpoint expects an object.
namestring or nullOptional
descriptionstring or nullOptional
voiceModestring or nullOptional
systemPromptstring or nullOptional
beginMessagestring or nullOptional
voicestring or nullOptional

Response

Successful Response
idstring
namestring
descriptionstring or null
voiceModestring
voicestring
createdAtdatetime
systemPromptstring or null
beginMessagestring or null
numberslist of objects or null

Errors